Subject: Re: Docker 19.03 is no longer receiving updates.

From: John Kehayias <[email-masked]>
Date: Tue, 28 Jun 2022 00:36:02 +0000

Hello,

I believe this can be closed with Docker having been updated to the latest version in this patch series: https://issues.guix.gnu.org/52790

However, on the Go front, this leaves docker-compose to be updated to v2 which moves to Go. I tried to import the go package definition but it fails if using recursive to get the (many many) dependencies:

guix import go github.com/docker/compose/v2 -r
...
ice-9/boot-9.scm:1683:16: In procedure raise-exception:
Git error: reference 'refs/tags/v0.30.0' not found

In just doing the base package and finding what dependencies are missing, I hit this again with

guix import go k8s.io/client-go -r
...
ice-9/boot-9.scm:1683:16: In procedure raise-exception:
Git error: reference 'refs/tags/v0.9.20' not found

Anyway, I should open (after searching for any relevant issues) an issue for the Go importer and/or docker-compose updates. Just thought I capture what I've seen so far in trying to complete the Docker update.

John